Subject: bug#12579: 24.1; Emacs 24.1 / 24.2 (daily) crashes

From: "Fabrice Niessen" <[email-masked]>
Date: Fri, 09 Nov 2012 17:37:04 +0100

Eli, Thierry,

Eli Zaretskii wrote:
>> From: "Fabrice Niessen" <[email-masked]>
>>
>> In fact, Emacs launches a bash which launches a es.exe process.
>
> If helm-for-files uses shell-command or its ilk to invoke es.exe, then
> this is normal.
>
> The question is, what do you see in Emacs subprocesses when Emacs
> hangs.

Got it! Same Emacs version, same shell config (bash), using only helm-locate.

http://screencast.com/t/D4zwLcdSCUzw

There is an es.exe process which is "suspended", whatever it means. Not shown
under Emacs, but maybe because it's suspended?

In my "ps" console, where I list, every second, the "es" processes (grep from
ps command), I did not see anything at the time I was filling the helm
pattern. I guess it was running for a so short amount of time (clearly less
than 1 second) that it wasn't outputted in the loop.

FYI, here the new traces...

--8<---------------cut here---------------start------------->8---
$ gdb -p 6284
[...]
Thread 1 (Thread 6284.0x1c54):
#0  0x7c91e514 in ntdll!LdrAccessResource () from /cygdrive/c/WINDOWS/system32/ntdll.dll
#1  0x7c91df5a in ntdll!ZwWaitForSingleObject () from /cygdrive/c/WINDOWS/system32/ntdll.dll
#2  0x7c929b23 in ntdll!RtlpWaitForCriticalSection () from /cygdrive/c/WINDOWS/system32/ntdll.dll
#3  0x7c911046 in ntdll!RtlEnumerateGenericTableLikeADirectory () from /cygdrive/c/WINDOWS/system32/ntdll.dll
#4  0x00a41fe0 in ?? ()
#5  0x77bfd114 in msvcrt!_close () from /cygdrive/c/WINDOWS/system32/msvcrt.dll
#6  0x00000005 in ?? ()
#7  0x0000000b in ?? ()
#8  0x00000005 in ?? ()
#9  0x064a4e70 in ?? ()
#10 0x0108d41e in sys_close (fd=5) at w32.c:5918
#11 0x011452a8 in emacs_close (fd=5) at sysdep.c:2082
#12 0x01029ce4 in deactivate_process (proc=105533045) at process.c:3924
#13 0x01022d92 in remove_process (proc=105533045) at process.c:735
#14 0x0102ffff in status_notify (deleting_process=0x64a4e70) at process.c:6606
#15 0x01023263 in Fdelete_process (process=105533045) at process.c:850
#16 0x01013174 in eval_sub (form=65468094) at eval.c:2139
[...]
#511 0x01002920 in main (argc=1, argv=0xa44480) at emacs.c:1552
(gdb) thread 1
[Switching to thread 1 (Thread 6284.0x1c54)]
#0  0x7c91e514 in ntdll!LdrAccessResource () from /cygdrive/c/WINDOWS/system32/ntdll.dll
(gdb) frame 14
#14 0x0102ffff in status_notify (deleting_process=0x64a4e70) at process.c:6606
6606    process.c: No such file or directory.
(gdb) print *p
$1 = {header = {size = 1073872914, next = {nbytes = 144, buffer = 0x90, vector = 0x90}}, tty_name = 57358362, name = 62312657,
  command = 114553070, filter = 57358386, sentinel = 62592766, log = 57358362, buffer = 61535749, childp = 57358386,
  plist = 57358362, type = 57481914, mark = 94066627, status = 113391638, decode_coding_system = 59149866,
  decoding_buf = 20036945, encode_coding_system = 59149842, encoding_buf = 20036945, write_queue = 57358362,
  gnutls_cred_type = 57358362, pid = 7108, infd = 5, outfd = 11, tick = 28, update_tick = 28, decoding_carryover = 0,
  read_output_delay = 0, adaptive_read_buffering = 1, read_output_skip = 0, kill_without_query = 0, pty_flag = 0,
  inherit_coding_system_flag = 0, raw_status_new = 0, raw_status = 0, gnutls_initstage = GNUTLS_STAGE_EMPTY, gnutls_state = 0x0,
  gnutls_x509_cred = 0x0, gnutls_anon_cred = 0x0, gnutls_log_level = 0, gnutls_handshakes_tried = 0, gnutls_p = 0}
(gdb) print p->name
$2 = 62312657
(gdb) xstring
$3 = (struct Lisp_String *) 0x3b6d0d0
"locate-process"
(gdb) print p->command
$4 = 114553070
(gdb) xtype
Lisp_Cons
(gdb) xcons
$5 = (struct Lisp_Cons *) 0x6d3f0e8
{
  car = 0x371f8b1,
  u = {
    cdr = 0x6d3f0e6,
    chain = 0x6d3f0e6
  }
}
(gdb)
--8<---------------cut here---------------end--------------->8---

Though, I've no process with PID 7108, as you can see on
http://screencast.com/t/q6AU8OZ2tk.

Does all of this help?

And what do you want me to do next?

Best regards,
Fabrice